# Urlaubszuteilung vorschauen

`GET https://{tenant}.stamp.eu/rest/employees/{employee}/vacation_allocation_preview`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Query-Parameter

| Name | Typ | Pflicht |
| --- | --- | --- |
| `start_date` | string | ja |
| `end_date` | string | ja |
| `is_half_day` | boolean | nein |
| `type` | string \| null | nein |

## Antworten

### 200: `VacationAllocationPreviewResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.days` | object[] | ja |
| `data.days[].date` | string | ja |
| `data.days[].fraction` | number | ja |
| `data.total_days` | number | ja |
| `data.allocation` | object[] | ja |
| `data.allocation[].bucket` | string | ja |
| `data.allocation[].days` | number | ja |
| `data.allocation[].expires_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
